﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using System.Collections.ObjectModel;

namespace Module1.ViewModels
{
	public class Module1VM : ViewModelBase
	{
		public Module1VM()
		{
			this.Header = "Module 1";
			this.IsSelected = true;
			Groups = new ObservableCollection<Group>();

			Group group1 = new Group() { Header = "Group 1.1" };
			Content button = new Content() { Type = "RadButton", Text = "RibbonButton", MyCommand = new DelegateCommand(RadButtonCommand) };
			group1.Items.Add(button);
			Content splitButton = new Content() { Type = "RadSplitButton", Text = "RibbonSplitButton", MyCommand = new DelegateCommand(RadSplitButtonCommand) };
			for (int i = 0; i < 5; i++)
			{
				splitButton.Children.Add(new Content() { Text = String.Format("Option {0}", i) });
			}
			group1.Items.Add(splitButton);

			Groups.Add(group1);
		}

		public string Header { get; set; }
		public ObservableCollection<Group> Groups { get; set; }

		private bool isSelected;
		public bool IsSelected
		{
			get
			{
				return this.isSelected;
			}
			set
			{
				if (this.isSelected != value)
				{
					this.isSelected = value;
					OnPropertyChanged("IsSelected");
				}
			}
		}

		private void RadButtonCommand(object sender)
		{
			MessageBox.Show("RadButton");
		}
		private void RadSplitButtonCommand(object sender)
		{
			MessageBox.Show("RadSplitButton");
		}

	}
}
